## sciteproj 0.3.16

=== CMakeLists.txt ===
# -------------------------------------------------------------------------
#	SciteProj
# -------------------------------------------------------------------------
Project (sciteproj C)

# Stuff for cmake (To make it work with both cmake 2.4 and 2.6...)
cmake_minimum_required(VERSION 2.4)

if(COMMAND cmake_policy)
	cmake_policy(SET CMP0003 NEW)
	cmake_policy(SET CMP0005 NEW)
endif(COMMAND cmake_policy)


set(EXECUTABLE_NAME sciteproj)

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/../bin/)
set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/../lib)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

message(STATUS "cmake module path:" ${CMAKE_SOURCE_DIR}/cmake)

option (DEBUG "Build Debug executable" off)

if (WIN32)
	set(SCITE_UTILS src/scite_utils_windows.c)
	
	add_definitions(-mwindows)
	
else (WIN32)
	#Linux stuff (So far only tested platforms are Linux and Windows)
	
	set(SCITE_UTILS src/scite_utils.c)
	
endif (WIN32)


if (DEBUG)
	message(STATUS "Building Debug executable")
	set(CMAKE_BUILD_TYPE "Debug")
	add_definitions(-D_DEBUG)

	add_definitions(-Wno-write-strings)
	# add_definitions(-Wno-missing-field-initializers)
	add_definitions(-Wall)
	
	add_definitions(-Wc++-compat)

else (DEBUG)
	message(STATUS "Building Release executable")
	add_definitions(-fomit-frame-pointer)
	
endif (DEBUG)

add_definitions(-DGTK_DISABLE_DEPRECATED)

# include(FindGTK2)

Find_Package ( GTK2 REQUIRED )

if (NOT GTK2_FOUND)
	message(FATAL_ERROR "GTK not found!")
endif (NOT GTK2_FOUND)

include_directories(include ${GTK2_INCLUDE_DIRS} ${GTK2_GDK_INCLUDE_DIR} "/usr/include/gdk-pixbuf-2.0")

message(STATUS "System name:${CMAKE_SYSTEM_NAME}")

set(SOURCES
	src/main.c
	src/file_utils.c
	src/folder_to_xml.c
	src/gui.c
	src/tree_manipulation.c
	src/drag_drop.c
	src/graphics.c
	src/properties_dialog.c
	#src/scite_utils.c
	${SCITE_UTILS}
	src/string_utils.c
	src/xml_processing.c
	src/prefs.c
	src/statusbar.c
	src/about.c
	src/rename.c
)

link_libraries (
   gdk_pixbuf-2.0 ${GTK2_GDK_LIBRARY} ${GTK2_GTK_LIBRARY} gthread-2.0 gobject-2.0 X11 glib-2.0
)

add_executable (
   ${EXECUTABLE_NAME}
	WIN32
   ${SOURCES}
)

# -------------------------------------------------------------------------
# installation stuff:
# -------------------------------------------------------------------------

set(PIX_FOLDER ${CMAKE_INSTALL_PREFIX}/share/pixmaps)

install(FILES graphics/sciteproj.xpm DESTINATION ${PIX_FOLDER})

install(FILES sciteproj.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
install(FILES sciteproj.1 DESTINATION ${CMAKE_INSTALL_PREFIX}/share/man/man1)

install_targets(/bin ${EXECUTABLE_NAME})

=== debian/changelog ===
sciteproj (0.3.16-2) unstable; urgency=low

  * debian/control: 
    - Rephrased package description, removed mentioning GTK
    - Fixed short description starting with a capital letter
  * debain/rules: 
    - Removed sample file comment
  * debian/watch
    - Removed empty line comment

 -- Andreas Rönnquist <gusnan@gusnan.se>  Sat, 04 Dec 2010 18:33:43 +0100

sciteproj (0.3.16-1) unstable; urgency=low

  * New upstream release (Closes: #605814)

 -- Andreas Rönnquist <gusnan@gusnan.se>  Fri, 03 Dec 2010 20:12:57 +0100

sciteproj (0.3.15-1) unstable; urgency=low

  * Initial release (Closes: #513231)

 -- Andreas Rönnquist <gusnan@gusnan.se>  Wed, 03 Nov 2010 01:35:06 +0100

=== debian/control ===
Source: sciteproj
Section: editors
Priority: optional
Maintainer: Andreas Rönnquist <gusnan@gusnan.se>
Build-Depends: debhelper (>= 7), cmake, cdbs, libgtk2.0-dev, libglib2.0-dev
Standards-Version: 3.9.1
Homepage: http://www.gusnan.se/sciteproj

Package: sciteproj
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, scite
Description: project manager for usage with the SciTE editor 
 Project manager for SciTE, used to group a bunch of files into a 
 project for easy access in SciTE giving the possibility to group 
 files in folders, using the director interface in SciTE to open them.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/cdbs/1/rules/debhelper.mk

=== debian/watch ===
version=3
http://sf.net/sciteproj/sciteproj_(.+)\.tar\.gz

## sciteproj 0.3.20

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,19 +22,8 @@
 message(STATUS "cmake module path:" ${CMAKE_SOURCE_DIR}/cmake)
 
 option (DEBUG "Build Debug executable" off)
-
-if (WIN32)
-	set(SCITE_UTILS src/scite_utils_windows.c)
 	
-	add_definitions(-mwindows)
-	
-else (WIN32)
-	#Linux stuff (So far only tested platforms are Linux and Windows)
-	
-	set(SCITE_UTILS src/scite_utils.c)
-	
-endif (WIN32)
-
+set(SCITE_UTILS src/scite_utils.c)
 
 if (DEBUG)
 	message(STATUS "Building Debug executable")
@@ -55,8 +44,6 @@
 
 add_definitions(-DGTK_DISABLE_DEPRECATED)
 
-# include(FindGTK2)
-
 Find_Package ( GTK2 REQUIRED )
 
 if (NOT GTK2_FOUND)
@@ -76,8 +63,7 @@
 	src/drag_drop.c
 	src/graphics.c
 	src/properties_dialog.c
-	#src/scite_utils.c
-	${SCITE_UTILS}
+	src/scite_utils.c
 	src/string_utils.c
 	src/xml_processing.c
 	src/prefs.c
@@ -92,7 +78,6 @@
 
 add_executable (
    ${EXECUTABLE_NAME}
-	WIN32
    ${SOURCES}
 )

=== debian/changelog ===
sciteproj (0.3.20-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Trimmed the short description

 -- Andreas Rönnquist <gusnan@gusnan.se>  Sat, 11 Dec 2010 17:20:46 +0100

## sciteproj 0.3.22

=== CMakeLists.txt ===
--- 
+++ 
@@ -39,6 +39,8 @@
 else (DEBUG)
 	message(STATUS "Building Release executable")
 	add_definitions(-fomit-frame-pointer)
+	
+	add_definitions(-Wall)
 	
 endif (DEBUG)

=== debian/changelog ===
sciteproj (0.3.22-1) unstable; urgency=low

  * New upstream release
  * debian/changelog:
    - Fixed minor spelling mistake

 -- Andreas Rönnquist <gusnan@gusnan.se>  Tue, 14 Dec 2010 14:10:38 +0100

## sciteproj 0.4.00

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,25 @@
-# -------------------------------------------------------------------------
-#	SciteProj
-# -------------------------------------------------------------------------
-Project (sciteproj C)
+#
+#   CMakeLists.txt
+#  
+#    Copyright 2010-2011 Andreas Ronnquist
+#  
+#   This file is part of SciteProj.
+#   
+#   SciteProj is free software: you can redistribute it and/or modify
+#   it under the terms of the GNU General Public License as published by
+#   the Free Software Foundation, either version 3 of the License, or
+#   (at your option) any later version.
+#  
+#   SciteProj is distributed in the hope that it will be useful,
+#   but WITHOUT ANY WARRANTY; without even the implied warranty of
+#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#   GNU General Public License for more details.
+#  
+#   You should have received a copy of the GNU General Public License
+#   along with SciteProj.  If not, see <http://www.gnu.org/licenses/>.
+#  
+# 
+Project (SciteProj C)
 
 # Stuff for cmake (To make it work with both cmake 2.4 and 2.6...)
 cmake_minimum_required(VERSION 2.4)
@@ -22,8 +40,6 @@
 message(STATUS "cmake module path:" ${CMAKE_SOURCE_DIR}/cmake)
 
 option (DEBUG "Build Debug executable" off)
-	
-set(SCITE_UTILS src/scite_utils.c)
 
 if (DEBUG)
 	message(STATUS "Building Debug executable")
@@ -57,21 +73,22 @@
 message(STATUS "System name:${CMAKE_SYSTEM_NAME}")
 
 set(SOURCES
-	src/main.c
+	src/about.c
+	src/clipboard.c
+	src/drag_drop.c
 	src/file_utils.c
 	src/folder_to_xml.c
+	src/graphics.c
 	src/gui.c
+	src/main.c
+	src/prefs.c
+	src/properties_dialog.c
+	src/rename.c
+	src/scite_utils.c
+	src/statusbar.c
+	src/string_utils.c
 	src/tree_manipulation.c
-	src/drag_drop.c
-	src/graphics.c
-	src/properties_dialog.c
-	src/scite_utils.c
-	src/string_utils.c
 	src/xml_processing.c
-	src/prefs.c
-	src/statusbar.c
-	src/about.c
-	src/rename.c
 )
 
 link_libraries (

=== debian/changelog ===
sciteproj (0.4.00-1) unstable; urgency=low

  * New upstream release

 -- Andreas Rönnquist <gusnan@gusnan.se>  Tue, 04 Jan 2011 14:44:57 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: sciteproj
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, scite
-Description: project manager for usage with the SciTE editor 
+Description: project manager for the SciTE editor 
  Project manager for SciTE, used to group a bunch of files into a 
  project for easy access in SciTE giving the possibility to group 
  files in folders, using the director interface in SciTE to open them.

## sciteproj 0.5.01

=== debian/changelog ===
sciteproj (0.5.01-2) unstable; urgency=low

  * debian/control:
    - Updated homepage

 -- Andreas Rönnquist <gusnan@gusnan.se>  Thu, 28 Apr 2011 03:02:27 +0200

sciteproj (0.5.01-1) unstable; urgency=low

  * New upstream release

 -- Andreas Rönnquist <gusnan@gusnan.se>  Mon, 18 Apr 2011 15:43:21 +0200

sciteproj (0.5.00-1) unstable; urgency=low

  * New upstream release

 -- Andreas Rönnquist <gusnan@gusnan.se>  Sun, 17 Apr 2011 19:50:30 +0200

sciteproj (0.4.10-1) unstable; urgency=low

  * New upstream release
  * debian/docs:
    - Remove TODO

 -- Andreas Rönnquist <gusnan@gusnan.se>  Tue, 05 Apr 2011 17:17:07 +0200

sciteproj (0.4.01-1) unstable; urgency=low

  * New upstream release

 -- Andreas Rönnquist <gusnan@gusnan.se>  Thu, 03 Mar 2011 21:34:48 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Andreas Rönnquist <gusnan@gusnan.se>
 Build-Depends: debhelper (>= 7), cmake, cdbs, libgtk2.0-dev, libglib2.0-dev
 Standards-Version: 3.9.1
-Homepage: http://www.gusnan.se/sciteproj
+Homepage: http://sciteproj.sourceforge.net
 
 Package: sciteproj
 Architecture: any

## sciteproj 0.5.10

=== debian/changelog ===
sciteproj (0.5.10-2) unstable; urgency=low

  * debian/watch:
    - Updated watchfile to follow qa sourceforge redirector

 -- Andreas Rönnquist <gusnan@gusnan.se>  Wed, 15 Jun 2011 14:24:55 +0200

sciteproj (0.5.10-1) unstable; urgency=low

  * New upstream version
  * debian/control:
    - Updated standards version to 3.9.2.

 -- Andreas Rönnquist <gusnan@gusnan.se>  Sun, 15 May 2011 17:56:37 +0200

## sciteproj 0.5.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 #   CMakeLists.txt
 #  
-#    Copyright 2010-2011 Andreas Ronnquist
+#    Copyright 2010-2011 Andreas Rönnquist
 #  
 #   This file is part of SciteProj.
 #   
@@ -61,6 +61,8 @@
 endif (DEBUG)
 
 add_definitions(-DGTK_DISABLE_DEPRECATED)
+add_definitions(-DGDK_DISABLE_DEPRECATED)
+add_definitions(-DGSEAL_ENABLE)
 
 Find_Package ( GTK2 REQUIRED )
 
@@ -74,17 +76,22 @@
 
 set(SOURCES
 	src/about.c
+	src/addfiles.c
 	src/clipboard.c
 	src/drag_drop.c
 	src/file_utils.c
+	src/filelist.c
 	src/folder_to_xml.c
 	src/graphics.c
 	src/gui.c
 	src/main.c
 	src/prefs.c
 	src/properties_dialog.c
+	src/recent_files.c
+	src/remove.c
 	src/rename.c
 	src/scite_utils.c
+	src/search.c
 	src/statusbar.c
 	src/string_utils.c
 	src/tree_manipulation.c

=== debian/changelog ===
sciteproj (0.5.11-1) unstable; urgency=low

  * New upstream release
  * debian/copyright:
    - Only one upstream author - remove (s)

 -- Andreas Rönnquist <gusnan@gusnan.se>  Sat, 09 Jul 2011 18:38:14 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Andreas Rönnquist <gusnan@gusnan.se>
 Build-Depends: debhelper (>= 7), cmake, cdbs, libgtk2.0-dev, libglib2.0-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://sciteproj.sourceforge.net
 
 Package: sciteproj

## sciteproj 0.6.06

=== Makefile ===
CC=gcc
SRC=src
BIN=bin
GRPH=graphics
OBJ=obj

ifdef DEBUG
	STD_CFLAGS=-c -Wall -g3 -ggdb -D_DEBUG
else
	STD_CFLAGS=-c -Wall
endif

PROG=bin/sciteproj

OBJECTS=$(OBJ)/about.o $(OBJ)/addfiles.o $(OBJ)/clipboard.o $(OBJ)/drag_drop.o\
$(OBJ)/file_utils.o $(OBJ)/filelist.o $(OBJ)/folder_to_xml.o $(OBJ)/graphics.o\
$(OBJ)/gui.o $(OBJ)/main.o $(OBJ)/prefs.o $(OBJ)/properties_dialog.o \
$(OBJ)/recent_files.o $(OBJ)/remove.o $(OBJ)/rename.o $(OBJ)/scite_utils.o\
$(OBJ)/search.o $(OBJ)/statusbar.o  $(OBJ)/string_utils.o\
$(OBJ)/tree_manipulation.o $(OBJ)/xml_processing.o

GRAPHICS_INCLUDES=$(GRPH)/dir-close.xpm \
$(GRPH)/dir-open.xpm \
$(GRPH)/text-x-cpp.xpm \
$(GRPH)/text-x-h.xpm \
$(GRPH)/text-x-txt.xpm \
$(GRPH)/text-x-java.xpm \
$(GRPH)/text-x-lua.xpm \
$(GRPH)/sciteproj.xpm

ifndef prefix
	ifdef INSTALL_PREFIX
		prefix=$(INSTALL_PREFIX)
	else
		prefix=/usr/local
	endif
endif

ifdef GTK2
	PKG_GTK=gtk+-2.0
	CHECK_GTK3=1
else
	PKG_GTK=gtk+-3.0
endif

LIB_CFLAGS=`pkg-config --cflags $(PKG_GTK)`
STD_LDFLAGS= `pkg-config --libs $(PKG_GTK)`

LOCAL_CFLAGS=$(STD_CFLAGS) $(DEPRECATED) $(CFLAGS) $(LIB_CFLAGS) 
LOCAL_LDFLAGS=$(LDFLAGS) $(STD_LDFLAGS) 

ifdef CHECK_GTK3
	LOCAL_CFLAGS+=-DGTK_DISABLE_SINGLE_INCLUDES
	LOCAL_CFLAGS+=-DGSEAL_ENABLE

	CHECK_DEPRECATED=1
endif

ifdef CHECK_DEPRECATED
	LOCAL_CFLAGS+=-DGDK_PIXBUF_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED
endif 

all: $(BIN)/sciteproj

$(OBJ)/%.o: $(SRC)/%.c
	$(CC) $(LOCAL_CFLAGS) -c $< -o $@

$(BIN)/sciteproj: $(OBJECTS)
	$(CC) $(OBJECTS) -o $(PROG) $(LOCAL_LDFLAGS) 

clean:
	rm -rf $(OBJECTS) $(PROG) Makefile.dep

install:
	install -d $(DESTDIR)$(prefix)/bin
	install -m 755 $(PROG) $(DESTDIR)$(prefix)/bin
	install -d $(DESTDIR)$(prefix)/share/pixmaps
	install -m 644 graphics/sciteproj.xpm $(DESTDIR)$(prefix)/share/pixmaps

uninstall:
	rm -f $(DESTDIR)$(prefix)/$(PROG)
	rm -f $(DESTDIR)$(prefix)/share/pixmaps/sciteproj.xpm

Makefile.dep:
	$(CC) -MM $(SRC)/*.c | sed -e "s/\([A-Za-z+-0._&+-]*:\)/\$(OBJ)\/\1/g" > Makefile.dep

-include Makefile.dep

=== debian/changelog ===
sciteproj (0.6.06-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Update build-depends to GTK3
    - Remove cmake build-depends
  * debian/rules:
    - Clean up dh_make comments
    - Include makefile class instead of cmake class
    - Add required stuff for the makefile class

 -- Andreas Rönnquist <gusnan@gusnan.se>  Tue, 22 Oct 2011 21:00:09 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: editors
 Priority: optional
 Maintainer: Andreas Rönnquist <gusnan@gusnan.se>
-Build-Depends: debhelper (>= 7), cmake, cdbs, libgtk2.0-dev, libglib2.0-dev
+Build-Depends: debhelper (>= 7), cdbs, pkg-config, libgtk-3-dev, libglib2.0-dev
 Standards-Version: 3.9.2
 Homepage: http://sciteproj.sourceforge.net

## sciteproj 0.7.04

=== Makefile ===
CC=gcc
SRC=src
BIN=bin
GRPH=graphics
OBJ=obj

ifdef DEBUG
	STD_CFLAGS=-c -Wall -g3 -ggdb -D_DEBUG
else
	STD_CFLAGS=-c -Wall -Wformat -Wno-format-extra-args -Wformat-security -Wformat-nonliteral -Wformat=2 -Wdeprecated-declarations
endif

OBJECTS=$(OBJ)/about.o $(OBJ)/addfiles.o $(OBJ)/clipboard.o $(OBJ)/drag_drop.o\
$(OBJ)/file_utils.o $(OBJ)/filelist.o $(OBJ)/folder_to_xml.o $(OBJ)/graphics.o \
$(OBJ)/gui.o $(OBJ)/main.o $(OBJ)/prefs.o \
$(OBJ)/properties_dialog.o \
$(OBJ)/recent_files.o $(OBJ)/remove.o $(OBJ)/rename.o $(OBJ)/scite_utils.o\
$(OBJ)/search.o $(OBJ)/statusbar.o  $(OBJ)/string_utils.o\
$(OBJ)/tree_manipulation.o $(OBJ)/xml_processing.o

GRAPHICS_INCLUDES=$(GRPH)/dir-close.xpm \
$(GRPH)/dir-open.xpm \
$(GRPH)/text-x-cpp.xpm \
$(GRPH)/text-x-h.xpm \
$(GRPH)/text-x-txt.xpm \
$(GRPH)/text-x-java.xpm \
$(GRPH)/text-x-lua.xpm \
$(GRPH)/sciteproj.xpm



ifndef PREFIX
	ifdef INSTALL_PREFIX
		PREFIX=$(INSTALL_PREFIX)
	else
		PREFIX=/usr/local
	endif
endif

NAME=sciteproj
PROG=${BIN}/${NAME}
DEPEND=Makefile.dep
DATADIR= ${DESTDIR}${PREFIX}/share
LOCALEDIR = ${DATADIR}/locale
VERSION=$(shell cat ./VERSION)

ifdef GTK2
	PKG_GTK=gtk+-2.0
	CHECK_GTK3=1
else
	PKG_GTK=gtk+-3.0
endif

LIB_CFLAGS=`pkg-config --cflags $(PKG_GTK)`
STD_LDFLAGS=

LIBS+=`pkg-config --libs $(PKG_GTK) pkg-config --libs gthread-2.0`

LOCAL_CFLAGS=$(STD_CFLAGS) $(DEPRECATED) $(CFLAGS) $(LIB_CFLAGS)
LOCAL_LDFLAGS=$(LDFLAGS) $(STD_LDFLAGS)

ifdef CHECK_GTK3
	LOCAL_CFLAGS+=-DGTK_DISABLE_SINGLE_INCLUDES
	LOCAL_CFLAGS+=-DGSEAL_ENABLE

	CHECK_DEPRECATED=1
endif

ifdef CHECK_DEPRECATED
	LOCAL_CFLAGS+=-DGDK_PIXBUF_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED
endif

LOCAL_CFLAGS+=-DLOCALEDIR=\"$(LOCALEDIR)\" -DPACKAGE=\"$(NAME)\" -DSCITEPROJ_VERSION=\"$(VERSION)\"

all: $(BIN)/$(NAME)
	${MAKE} -C po all

$(OBJ)/%.o: $(SRC)/%.c
	$(CC) $(LOCAL_CFLAGS) -c $< -o $@

$(BIN)/$(NAME): $(OBJECTS)
	$(CC) $(LOCAL_LDFLAGS) $(OBJECTS) -o $(PROG) $(LIBS)

clean:
	rm -rf $(OBJECTS) $(PROG) $(DEPEND)
	${MAKE} -C po clean

install:
	install -d $(DESTDIR)$(PREFIX)/bin
	install -m 755 $(PROG) $(DESTDIR)$(PREFIX)/bin
	install -d $(DESTDIR)$(PREFIX)/share/pixmaps
	install -m 644 graphics/sciteproj.xpm $(DESTDIR)$(PREFIX)/share/pixmaps
	${MAKE} -C po install

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/$(PROG)
	rm -f $(DESTDIR)$(PREFIX)/share/pixmaps/sciteproj.xpm
	${MAKE} -C po uninstall

$(DEPEND):
	$(CC) -MM $(SRC)/*.c | sed -e "s/\([A-Za-z0-9+-0._&+-]*:\)/\$(OBJ)\/\1/g" > $(DEPEND)

-include $(DEPEND)

=== po/Makefile ===
#
# Sciteproj po makefile
# $Id$
#


ifndef PREFIX
	ifdef INSTALL_PREFIX
		PREFIX=$(INSTALL_PREFIX)
	else
		PREFIX=/usr/local
	endif
endif

NAME = sciteproj
VERSION = $(shell cat ../VERSION)
DATADIR = ${DESTDIR}${PREFIX}/share
LOCALEDIR = ${DATADIR}/locale

SOURCES = about.c addfiles.c clipboard.c drag_drop.c file_utils.c filelist.c \
folder_to_xml.c graphics.c gui.c main.c prefs.c properties_dialog.c \
recent_files.c remove.c rename.c scite_utils.c search.c statusbar.c \
string_utils.c tree_manipulation.c xml_processing.c

XG_ARGS = --keyword=_ --keyword=N_ --keyword=NC_:1c,2 -w 80 --package-name=${NAME} --package-version=${VERSION} --msgid-bugs-address=gusnan@gusnan.se
LANGUAGES = sv_SE

# 
LANGUAGES_MO = $(foreach currlang,$(LANGUAGES),$(currlang).mo)
LANGUAGES_PO = $(foreach currlang,$(LANGUAGES),$(currlang).po)

all: build

${NAME}.pot:
	xgettext ${XG_ARGS} --directory=../src/ ${SOURCES} -d ${NAME} -o ./${NAME}.pot

update-pot: ${NAME}.pot

%.pox: %.po
	msgmerge -o $@ --previous $< ${NAME}.pot 

build: $(LANGUAGES_MO)
	
$(LANGUAGES_MO): $(LANGUAGES_PO)
	for po in ${LANGUAGES}; \
	do msgfmt -v --statistics -c -o t-$${po} $${po}.po && mv -f t-$${po} $${po}.mo; \
	done
	

install: all install-dirs
	for po in ${LANGUAGES}; \
	do install -m 0644 $${po}.mo ${LOCALEDIR}/$${po}/LC_MESSAGES/${NAME}.mo; \
	done

install-dirs:
	for po in ${LANGUAGES}; \
	do install -d ${LOCALEDIR}/$${po}/LC_MESSAGES; \
	done

uninstall:
	for po in ${LANGUAGES}; \
	do rm -f  ${LOCALEDIR}/$${po}/LC_MESSAGES/${NAME}.mo; \
	done

clean-build:
	rm -f *.mo

clean-pox:
	rm -f *.pox

clean: clean-build
	rm -f *~

.PHONY: all build install install-dirs uninstall clean clean-pox clean-build update-pot

=== debian/changelog ===
sciteproj (0.7.04-1) unstable; urgency=low

  * [b1d66a5] Imported Upstream version 0.7.04

 -- Andreas Rönnquist <gusnan@gusnan.se>  Fri, 16 Mar 2012 18:16:13 +0100

sciteproj (0.7.03-1) unstable; urgency=low

  * [1c1143c] Imported Upstream version 0.7.03
  * [5b03a5c] Add gettext to build-depends

 -- Andreas Rönnquist <gusnan@gusnan.se>  Fri, 16 Mar 2012 17:47:10 +0100

sciteproj (0.7.02-1) unstable; urgency=low

  * [abe3282] Add Vcs-* fields
  * [3132772] Update standards version to 3.9.3
  * [f920e28] Imported Upstream version 0.7.02

 -- Andreas Rönnquist <gusnan@gusnan.se>  Thu, 15 Mar 2012 11:04:30 +0100

## sciteproj 0.7.05

=== Makefile ===
--- 
+++ 
@@ -11,12 +11,11 @@
 endif
 
 OBJECTS=$(OBJ)/about.o $(OBJ)/addfiles.o $(OBJ)/clipboard.o $(OBJ)/drag_drop.o\
-$(OBJ)/file_utils.o $(OBJ)/filelist.o $(OBJ)/folder_to_xml.o $(OBJ)/graphics.o \
-$(OBJ)/gui.o $(OBJ)/main.o $(OBJ)/prefs.o \
-$(OBJ)/properties_dialog.o \
-$(OBJ)/recent_files.o $(OBJ)/remove.o $(OBJ)/rename.o $(OBJ)/scite_utils.o\
-$(OBJ)/search.o $(OBJ)/statusbar.o  $(OBJ)/string_utils.o\
-$(OBJ)/tree_manipulation.o $(OBJ)/xml_processing.o
+$(OBJ)/file_utils.o $(OBJ)/filelist.o $(OBJ)/folder_to_xml.o $(OBJ)/graphics.o\
+$(OBJ)/gui.o $(OBJ)/gui_callbacks.o $(OBJ)/main.o $(OBJ)/prefs.o\
+$(OBJ)/properties_dialog.o $(OBJ)/recent_files.o $(OBJ)/remove.o\
+$(OBJ)/rename.o $(OBJ)/scite_utils.o $(OBJ)/search.o $(OBJ)/statusbar.o\
+$(OBJ)/string_utils.o $(OBJ)/tree_manipulation.o $(OBJ)/xml_processing.o
 
 GRAPHICS_INCLUDES=$(GRPH)/dir-close.xpm \
 $(GRPH)/dir-open.xpm \
@@ -26,7 +25,6 @@
 $(GRPH)/text-x-java.xpm \
 $(GRPH)/text-x-lua.xpm \
 $(GRPH)/sciteproj.xpm
-
 
 
 ifndef PREFIX

=== debian/changelog ===
sciteproj (0.7.05-2) unstable; urgency=low

  * [7958631] Update BUILD_TARGET to make it check for translations in the
    correct place
  * [fddbe70] Add a newline in the changelog to shorten line length
  * [4934ebc] Add preprocessor flags to build flags (enables hardening)

 -- Andreas Rönnquist <gusnan@gusnan.se>  Wed, 20 Jun 2012 17:23:03 +0200

sciteproj (0.7.05-1) unstable; urgency=low

  * [a547f0e] Imported Upstream version 0.7.05

 -- Andreas Rönnquist <gusnan@gusnan.se>  Tue, 20 Mar 2012 17:18:14 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: editors
 Priority: optional
 Maintainer: Andreas Rönnquist <gusnan@gusnan.se>
-Build-Depends: debhelper (>= 7), cdbs, pkg-config, libgtk-3-dev, libglib2.0-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7), cdbs, pkg-config, libgtk-3-dev, libglib2.0-dev, gettext
+Standards-Version: 3.9.3
 Homepage: http://sciteproj.sourceforge.net
+Vcs-Git: git://anonscm.debian.org/collab-maint/sciteproj.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sciteproj.git
 
 Package: sciteproj
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk

LDFLAGS += -Wl,--as-needed

CFLAGS += $(CPPFLAGS)

DEB_MAKE_CLEAN_TARGET	= clean
DEB_MAKE_BUILD_TARGET	= all INSTALL_PREFIX=/usr
DEB_MAKE_INSTALL_TARGET	= install INSTALL_PREFIX=$(CURDIR)/debian/sciteproj/usr
# no check for this software
DEB_MAKE_CHECK_TARGET	=

=== debian/watch ===
version=3
http://sf.net/sciteproj/sciteproj-(.+)\.tar\.gz

## sciteproj 0.7.07

=== Makefile ===
--- 
+++ 
@@ -5,9 +5,9 @@
 OBJ=obj
 
 ifdef DEBUG
-	STD_CFLAGS=-c -Wall -g3 -ggdb -D_DEBUG
+	STD_CFLAGS=-Wall -g3 -ggdb -D_DEBUG
 else
-	STD_CFLAGS=-c -Wall -Wformat -Wno-format-extra-args -Wformat-security -Wformat-nonliteral -Wformat=2 -Wdeprecated-declarations
+	STD_CFLAGS=-Wall -Wformat -Wno-format-extra-args -Wformat-security -Wformat-nonliteral -Wformat=2 -Wdeprecated-declarations
 endif
 
 OBJECTS=$(OBJ)/about.o $(OBJ)/addfiles.o $(OBJ)/clipboard.o $(OBJ)/drag_drop.o\
@@ -57,6 +57,8 @@
 LOCAL_CFLAGS=$(STD_CFLAGS) $(DEPRECATED) $(CFLAGS) $(LIB_CFLAGS)
 LOCAL_LDFLAGS=$(LDFLAGS) $(STD_LDFLAGS)
 
+LOCAL_CPPFLAGS=$(STD_CPPFLAGS) $(CPPFLAGS)
+
 ifdef CHECK_GTK3
 	LOCAL_CFLAGS+=-DGTK_DISABLE_SINGLE_INCLUDES
 	LOCAL_CFLAGS+=-DGSEAL_ENABLE
@@ -74,10 +76,10 @@
 	${MAKE} -C po all
 
 $(OBJ)/%.o: $(SRC)/%.c
-	$(CC) $(LOCAL_CFLAGS) -c $< -o $@
+	$(CC) $(LOCAL_CFLAGS) $(LOCAL_CPPFLAGS) -c $< -o $@
 
 $(BIN)/$(NAME): $(OBJECTS)
-	$(CC) $(LOCAL_LDFLAGS) $(OBJECTS) -o $(PROG) $(LIBS)
+	$(CC) $(LOCAL_CFLAGS) $(LOCAL_LDFLAGS) $(OBJECTS) -o $(PROG) $(LIBS)
 
 clean:
 	rm -rf $(OBJECTS) $(PROG) $(DEPEND)

=== debian/changelog ===
sciteproj (0.7.07-2ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/lib_underlinkage.patch: Add missing lib to link, fixing
      FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 11 May 2013 17:24:59 -0400

sciteproj (0.7.07-2) unstable; urgency=low

  * Update Standards Version to 3.9.4
  * Upload to unstable

 -- Andreas Rönnquist <gusnan@gusnan.se>  Mon, 06 May 2013 13:58:41 +0200

sciteproj (0.7.07-1) experimental; urgency=low

  * [a35eff2] Update watchfile
  * [2aa77cb] Imported Upstream version 0.7.07
  * [3cee7f0] Migrate to debhelper
  * [4f02cc5] Update homepage

 -- Andreas Rönnquist <gusnan@gusnan.se>  Mon, 18 Mar 2013 22:52:30 +0100

sciteproj (0.7.05-2ubuntu1) raring; urgency=low

  * Added missing lib to link, fixing FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Tue, 16 Apr 2013 16:59:32 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: sciteproj
 Section: editors
 Priority: optional
-Maintainer: Andreas Rönnquist <gusnan@gusnan.se>
-Build-Depends: debhelper (>= 7), cdbs, pkg-config, libgtk-3-dev, libglib2.0-dev, gettext
-Standards-Version: 3.9.3
-Homepage: http://sciteproj.sourceforge.net
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Andreas Rönnquist <gusnan@gusnan.se>
+Build-Depends: debhelper (>= 9), pkg-config, libgtk-3-dev, libglib2.0-dev, gettext
+Standards-Version: 3.9.4
+Homepage: http://sciteproj.gusnan.se
 Vcs-Git: git://anonscm.debian.org/collab-maint/sciteproj.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sciteproj.git

=== debian/watch ===
version=3
http://download.gna.org/sciteproj/sciteproj_([0-9].*)\-src\.tar\.gz debian uupdate

## sciteproj 0.7.08

=== Makefile ===
--- 
+++ 
@@ -52,7 +52,7 @@
 LIB_CFLAGS=`pkg-config --cflags $(PKG_GTK)`
 STD_LDFLAGS=
 
-LIBS+=`pkg-config --libs $(PKG_GTK) pkg-config --libs gthread-2.0`
+LIBS+=`pkg-config --libs $(PKG_GTK) pkg-config --libs gthread-2.0` -lX11
 
 LOCAL_CFLAGS=$(STD_CFLAGS) $(DEPRECATED) $(CFLAGS) $(LIB_CFLAGS)
 LOCAL_LDFLAGS=$(LDFLAGS) $(STD_LDFLAGS)

=== po/Makefile ===
--- 
+++ 
@@ -18,9 +18,9 @@
 LOCALEDIR = ${DATADIR}/locale
 
 SOURCES = about.c addfiles.c clipboard.c drag_drop.c file_utils.c filelist.c \
-folder_to_xml.c graphics.c gui.c main.c prefs.c properties_dialog.c \
-recent_files.c remove.c rename.c scite_utils.c search.c statusbar.c \
-string_utils.c tree_manipulation.c xml_processing.c
+folder_to_xml.c graphics.c gui.c gui_callbacks.c main.c prefs.c \
+properties_dialog.c recent_files.c remove.c rename.c scite_utils.c search.c \
+statusbar.c string_utils.c tree_manipulation.c xml_processing.c menus.h
 
 XG_ARGS = --keyword=_ --keyword=N_ --keyword=NC_:1c,2 -w 80 --package-name=${NAME} --package-version=${VERSION} --msgid-bugs-address=gusnan@gusnan.se
 LANGUAGES = sv_SE

=== debian/changelog ===
sciteproj (0.7.08-1) unstable; urgency=low

  * Update watchfile
  * Imported Upstream version 0.7.08

 -- Andreas Rönnquist <gusnan@gusnan.se>  Sun, 12 May 2013 14:43:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sciteproj
 Section: editors
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andreas Rönnquist <gusnan@gusnan.se>
+Maintainer: Andreas Rönnquist <gusnan@gusnan.se>
 Build-Depends: debhelper (>= 9), pkg-config, libgtk-3-dev, libglib2.0-dev, gettext
 Standards-Version: 3.9.4
 Homepage: http://sciteproj.gusnan.se

=== debian/watch ===
version=3
http://www.gusnan.se/sciteproj/download/index.php ./sciteproj_(.+)-src\.tar\.gz

## sciteproj 1.00

=== Makefile ===
--- 
+++ 
@@ -10,20 +10,16 @@
 	STD_CFLAGS=-Wall -Wformat -Wno-format-extra-args -Wformat-security -Wformat-nonliteral -Wformat=2 -Wdeprecated-declarations
 endif
 
-OBJECTS=$(OBJ)/about.o $(OBJ)/addfiles.o $(OBJ)/clipboard.o $(OBJ)/drag_drop.o\
-$(OBJ)/file_utils.o $(OBJ)/filelist.o $(OBJ)/folder_to_xml.o $(OBJ)/graphics.o\
-$(OBJ)/gui.o $(OBJ)/gui_callbacks.o $(OBJ)/main.o $(OBJ)/prefs.o\
+OBJECTS=$(OBJ)/about.o $(OBJ)/addfiles.o $(OBJ)/clipboard.o $(OBJ)/expand.o\
+$(OBJ)/file_utils.o $(OBJ)/folder_config.o\
+$(OBJ)/graphics.o $(OBJ)/gui.o $(OBJ)/gui_callbacks.o\
+$(OBJ)/icon.o $(OBJ)/load_folder.o $(OBJ)/menus.o $(OBJ)/main.o $(OBJ)/prefs.o\
 $(OBJ)/properties_dialog.o $(OBJ)/recent_files.o $(OBJ)/remove.o\
-$(OBJ)/rename.o $(OBJ)/scite_utils.o $(OBJ)/search.o $(OBJ)/statusbar.o\
-$(OBJ)/string_utils.o $(OBJ)/tree_manipulation.o $(OBJ)/xml_processing.o
+$(OBJ)/scite_utils.o $(OBJ)/script.o $(OBJ)/sort.o $(OBJ)/statusbar.o\
+$(OBJ)/string_utils.o $(OBJ)/tree_manipulation.o
 
 GRAPHICS_INCLUDES=$(GRPH)/dir-close.xpm \
 $(GRPH)/dir-open.xpm \
-$(GRPH)/text-x-cpp.xpm \
-$(GRPH)/text-x-h.xpm \
-$(GRPH)/text-x-txt.xpm \
-$(GRPH)/text-x-java.xpm \
-$(GRPH)/text-x-lua.xpm \
 $(GRPH)/sciteproj.xpm
 
 
@@ -49,15 +45,14 @@
 	PKG_GTK=gtk+-3.0
 endif
 
-LIB_CFLAGS=`pkg-config --cflags $(PKG_GTK)`
+LIB_CFLAGS=$(shell pkg-config --cflags --silence-errors $(PKG_GTK) $(PKG_WNCK) lua5.1 || pkg-config --cflags $(PKG_GTK) $(PKG_WNCK) lua)
 STD_LDFLAGS=
-
-LIBS+=`pkg-config --libs $(PKG_GTK) pkg-config --libs gthread-2.0` -lX11
+LIBS=-lX11 $(shell pkg-config --libs --silence-errors $(PKG_GTK) $(PKG_WNCK) lua5.1 || pkg-config --libs $(PKG_GTK) $(PKG_WNCK) lua)
 
 LOCAL_CFLAGS=$(STD_CFLAGS) $(DEPRECATED) $(CFLAGS) $(LIB_CFLAGS)
-LOCAL_LDFLAGS=$(LDFLAGS) $(STD_LDFLAGS)
+LOCAL_LDFLAGS=$(STD_CFLAGS) $(LDFLAGS) $(STD_LDFLAGS)
 
-LOCAL_CPPFLAGS=$(STD_CPPFLAGS) $(CPPFLAGS)
+LOCAL_CPPFLAGS=$(CPPFLAGS)
 
 ifdef CHECK_GTK3
 	LOCAL_CFLAGS+=-DGTK_DISABLE_SINGLE_INCLUDES
@@ -73,7 +68,7 @@
 LOCAL_CFLAGS+=-DLOCALEDIR=\"$(LOCALEDIR)\" -DPACKAGE=\"$(NAME)\" -DSCITEPROJ_VERSION=\"$(VERSION)\"
 
 all: $(BIN)/$(NAME)
-	${MAKE} -C po all
+	${MAKE} -C po -j1 all
 
 $(OBJ)/%.o: $(SRC)/%.c
 	$(CC) $(LOCAL_CFLAGS) $(LOCAL_CPPFLAGS) -c $< -o $@

=== po/Makefile ===
--- 
+++ 
@@ -17,13 +17,14 @@
 DATADIR = ${DESTDIR}${PREFIX}/share
 LOCALEDIR = ${DATADIR}/locale
 
-SOURCES = about.c addfiles.c clipboard.c drag_drop.c file_utils.c filelist.c \
-folder_to_xml.c graphics.c gui.c gui_callbacks.c main.c prefs.c \
-properties_dialog.c recent_files.c remove.c rename.c scite_utils.c search.c \
-statusbar.c string_utils.c tree_manipulation.c xml_processing.c menus.h
+SOURCES = about.c addfiles.c clipboard.c file_utils.c expand.c\
+folder_config.c graphics.c gui.c gui_callbacks.c load_folder.c\
+main.c menus.c prefs.c properties_dialog.c recent_files.c remove.c\
+scite_utils.c script.c sort.c statusbar.c string_utils.c tree_manipulation.c\
+menus.h
 
 XG_ARGS = --keyword=_ --keyword=N_ --keyword=NC_:1c,2 -w 80 --package-name=${NAME} --package-version=${VERSION} --msgid-bugs-address=gusnan@gusnan.se
-LANGUAGES = sv_SE
+LANGUAGES = sv
 
 # 
 LANGUAGES_MO = $(foreach currlang,$(LANGUAGES),$(currlang).mo)

=== debian/changelog ===
sciteproj (1.00-1) unstable; urgency=medium

  * Imported Upstream version 1.00
  * Update my e-mail address to @d.o.
  * Update Standards Version (No change required)
  * Add Build-Depends on liblua5.1-0-dev
  * Add a NEWS file to describe project changes
  * Add uscan verification of upstream tarball GPG signature

 -- Andreas Rönnquist <gusnan@debian.org>  Mon, 04 Aug 2014 23:24:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,14 @@
 Source: sciteproj
 Section: editors
 Priority: optional
-Maintainer: Andreas Rönnquist <gusnan@gusnan.se>
-Build-Depends: debhelper (>= 9), pkg-config, libgtk-3-dev, libglib2.0-dev, gettext
-Standards-Version: 3.9.4
+Maintainer: Andreas Rönnquist <gusnan@debian.org>
+Build-Depends: debhelper (>= 9),
+               pkg-config,
+               libgtk-3-dev,
+               libglib2.0-dev,
+               liblua5.1-0-dev,
+               gettext
+Standards-Version: 3.9.5
 Homepage: http://sciteproj.gusnan.se
 Vcs-Git: git://anonscm.debian.org/collab-maint/sciteproj.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sciteproj.git

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://www.gusnan.se/sciteproj/download/index.php ./sciteproj_(.+)-src\.tar\.gz

## sciteproj 1.04

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,9 @@
+#
+#   Copyright (C) 2009-2014 Andreas Rönnquist
+#   This file is distributed under the same license
+#   as the sciteproj package, see COPYING file.
+#
+
 CC=gcc
 SRC=src
 BIN=bin

=== debian/changelog ===
sciteproj (1.04-1) unstable; urgency=medium

  * Imported Upstream version 1.04
  * Migrate watch file to use savannah
  * Fix homepage address
  * Migrate to machine-readable copyright

 -- Andreas Rönnquist <gusnan@debian.org>  Fri, 22 Aug 2014 15:55:15 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                liblua5.1-0-dev,
                gettext
 Standards-Version: 3.9.5
-Homepage: http://sciteproj.gusnan.se
+Homepage: http://www.gusnan.se/sciteproj
 Vcs-Git: git://anonscm.debian.org/collab-maint/sciteproj.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sciteproj.git

## sciteproj 1.05

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,9 @@
 #   as the sciteproj package, see COPYING file.
 #
 
-CC=gcc
+ifndef CC
+	CC=gcc
+endif
 SRC=src
 BIN=bin
 GRPH=graphics
@@ -99,6 +101,6 @@
 	${MAKE} -C po uninstall
 
 $(DEPEND):
-	$(CC) -MM $(SRC)/*.c | sed -e "s/\([A-Za-z0-9+-0._&+-]*:\)/\$(OBJ)\/\1/g" > $(DEPEND)
+	$(CC) $(LOCAL_CFLAGS) -MM $(SRC)/*.c | sed -e "s/\([A-Za-z0-9+-0._&+-]*:\)/\$(OBJ)\/\1/g" > $(DEPEND)
 
 -include $(DEPEND)

=== po/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #
-# Sciteproj po makefile
-# $Id$
+#   Copyright (C) 2009-2014 Andreas Rönnquist
+#   This file is distributed under the same license
+#   as the sciteproj package, see COPYING file.
 #
-
 
 ifndef PREFIX
 	ifdef INSTALL_PREFIX

=== debian/changelog ===
sciteproj (1.05-3) unstable; urgency=medium

  * Enable all hardening flags
  * Fix lintian warning vcs-field-uses-insecure-uri

 -- Andreas Rönnquist <gusnan@debian.org>  Sun, 14 Feb 2016 16:11:17 +0100

sciteproj (1.05-2) unstable; urgency=medium

  * Migrate to dh

 -- Andreas Rönnquist <gusnan@debian.org>  Sun, 27 Dec 2015 11:36:46 +0100

sciteproj (1.05-1) unstable; urgency=medium

  * New Upstream Version

 -- Andreas Rönnquist <gusnan@debian.org>  Sun, 30 Aug 2015 14:02:38 +0200

sciteproj (1.04-2) unstable; urgency=medium

  * Update Standards-Version to 3.9.6 (No changes required)
  * Use releases-noredirect instead of download-mirror in
    watchfile
  * Update copyright formatting and years (Fixes lintian
    warning dep5-copyright-license-name-not-unique)

 -- Andreas Rönnquist <gusnan@debian.org>  Wed, 06 May 2015 17:16:36 +0200

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                libglib2.0-dev,
                liblua5.1-0-dev,
                gettext
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.gusnan.se/sciteproj
-Vcs-Git: git://anonscm.debian.org/collab-maint/sciteproj.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sciteproj.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/sciteproj.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/sciteproj.git
 
 Package: sciteproj
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_HARDENING=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

PACKAGE = $(shell dh_listpackages)

%:
	dh $@

override_dh_auto_build:
	$(MAKE) PREFIX=/usr

override_dh_auto_install:
	$(MAKE) DESTDIR=$$(pwd)/debian/$(PACKAGE) PREFIX=/usr install

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://download.savannah.gnu.org/releases-noredirect/sciteproj/sciteproj_(.+)-src\.tar\.gz

## sciteproj 1.06

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-#   Copyright (C) 2009-2014 Andreas Rönnquist
+#   Copyright (C) 2009-2016 Andreas Rönnquist
 #   This file is distributed under the same license
 #   as the sciteproj package, see COPYING file.
 #
@@ -18,7 +18,7 @@
 	STD_CFLAGS=-Wall -Wformat -Wno-format-extra-args -Wformat-security -Wformat-nonliteral -Wformat=2 -Wdeprecated-declarations
 endif
 
-OBJECTS=$(OBJ)/about.o $(OBJ)/addfiles.o $(OBJ)/clipboard.o $(OBJ)/expand.o\
+OBJECTS=$(OBJ)/about.o $(OBJ)/clipboard.o $(OBJ)/expand.o\
 $(OBJ)/file_utils.o $(OBJ)/folder_config.o\
 $(OBJ)/graphics.o $(OBJ)/gui.o $(OBJ)/gui_callbacks.o\
 $(OBJ)/icon.o $(OBJ)/load_folder.o $(OBJ)/menus.o $(OBJ)/main.o $(OBJ)/prefs.o\

=== po/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-#   Copyright (C) 2009-2014 Andreas Rönnquist
+#   Copyright (C) 2009-2016 Andreas Rönnquist
 #   This file is distributed under the same license
 #   as the sciteproj package, see COPYING file.
 #
@@ -17,7 +17,7 @@
 DATADIR = ${DESTDIR}${PREFIX}/share
 LOCALEDIR = ${DATADIR}/locale
 
-SOURCES = about.c addfiles.c clipboard.c file_utils.c expand.c\
+SOURCES = about.c clipboard.c file_utils.c expand.c\
 folder_config.c graphics.c gui.c gui_callbacks.c load_folder.c\
 main.c menus.c prefs.c properties_dialog.c recent_files.c remove.c\
 scite_utils.c script.c sort.c statusbar.c string_utils.c tree_manipulation.c\

=== debian/changelog ===
sciteproj (1.06-1) unstable; urgency=medium

  * Add gitignore
  * New upstream version 1.06
  * Update Standards Version to 3.9.8 (No changes required)

 -- Andreas Rönnquist <gusnan@debian.org>  Sun, 13 Nov 2016 14:41:22 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                libglib2.0-dev,
                liblua5.1-0-dev,
                gettext
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.gusnan.se/sciteproj
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/sciteproj.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/sciteproj.git

## sciteproj 1.07

=== po/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-#   Copyright (C) 2009-2016 Andreas Rönnquist
+#   Copyright (C) 2009-2017 Andreas Rönnquist
 #   This file is distributed under the same license
 #   as the sciteproj package, see COPYING file.
 #
@@ -23,7 +23,7 @@
 scite_utils.c script.c sort.c statusbar.c string_utils.c tree_manipulation.c\
 menus.h
 
-XG_ARGS = --keyword=_ --keyword=N_ --keyword=NC_:1c,2 -w 80 --package-name=${NAME} --package-version=${VERSION} --msgid-bugs-address=gusnan@gusnan.se
+XG_ARGS = --keyword=_ --keyword=N_ --keyword=NC_:1c,2 -w 80 --package-name=${NAME} --package-version=${VERSION} --msgid-bugs-address=gusnan@openmailbox.org
 LANGUAGES = sv
 
 #

=== debian/changelog ===
sciteproj (1.07-1) unstable; urgency=medium

  * New upstream version 1.07
  * Update watchfile
  * Debhelper compatibility level 10
  * Update to Standards Version 4.0.0 (No changes required)

 -- Andreas Rönnquist <gusnan@debian.org>  Tue, 04 Jul 2017 02:34:19 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: editors
 Priority: optional
 Maintainer: Andreas Rönnquist <gusnan@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                pkg-config,
                libgtk-3-dev,
                libglib2.0-dev,
                liblua5.1-0-dev,
                gettext
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://www.gusnan.se/sciteproj
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/sciteproj.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/sciteproj.git

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://download-mirror.savannah.gnu.org/releases/sciteproj/sciteproj_(.+)-src\.tar\.gz

## sciteproj 1.08

=== debian/changelog ===
sciteproj (1.08-2) unstable; urgency=medium

  * Remove trailing whitespace in control files
  * Use compat level 11
  * Upgrade to Standards Version 4.1.3, no changes required
  * Migrate git repo to salsa.d.o
  * Use secure uri in copyright and watch

 -- Andreas Rönnquist <gusnan@debian.org>  Tue, 30 Jan 2018 17:50:13 +0100

sciteproj (1.08-1) unstable; urgency=medium

  * New upstream version 1.08
  * Update Standards Version to 4.1.0 (No changes required)

 -- Andreas Rönnquist <gusnan@debian.org>  Sat, 26 Aug 2017 15:45:03 +0200

=== debian/control ===
Source: sciteproj
Section: editors
Priority: optional
Maintainer: Andreas Rönnquist <gusnan@debian.org>
Build-Depends: debhelper (>= 11),
               pkg-config,
               libgtk-3-dev,
               libglib2.0-dev,
               liblua5.1-0-dev,
               gettext
Standards-Version: 4.1.3
Homepage: http://www.gusnan.se/sciteproj
Vcs-Git: https://salsa.debian.org/debian/sciteproj.git
Vcs-Browser: https://salsa.debian.org/debian/sciteproj

Package: sciteproj
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, scite
Description: project manager for the SciTE editor
 Project manager for SciTE, used to group a bunch of files into a
 project for easy access in SciTE giving the possibility to group
 files in folders, using the director interface in SciTE to open them.

## sciteproj 1.09

=== debian/changelog ===
sciteproj (1.09-1) unstable; urgency=medium

  * New upstream version 1.09
  * Update homepage field

 -- Andreas Rönnquist <gusnan@debian.org>  Sun, 18 Feb 2018 19:12:37 +0100

## sciteproj 1.10

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-#   Copyright (C) 2009-2016 Andreas Rönnquist
+#   Copyright (C) 2009-2017 Andreas Rönnquist
 #   This file is distributed under the same license
 #   as the sciteproj package, see COPYING file.
 #

=== po/Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 scite_utils.c script.c sort.c statusbar.c string_utils.c tree_manipulation.c\
 menus.h
 
-XG_ARGS = --keyword=_ --keyword=N_ --keyword=NC_:1c,2 -w 80 --package-name=${NAME} --package-version=${VERSION} --msgid-bugs-address=gusnan@openmailbox.org
+XG_ARGS = --keyword=_ --keyword=N_ --keyword=NC_:1c,2 -w 80 --package-name=${NAME} --package-version=${VERSION} --msgid-bugs-address=andreas@ronnquist.net
 LANGUAGES = sv
 
 #

=== debian/changelog ===
sciteproj (1.10-1) unstable; urgency=medium

  * New upstream version 1.10

 -- Andreas Rönnquist <gusnan@debian.org>  Sun, 18 Feb 2018 22:34:19 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                liblua5.1-0-dev,
                gettext
 Standards-Version: 4.1.3
-Homepage: http://www.gusnan.se/sciteproj
+Homepage: https://www.nongnu.org/sciteproj
 Vcs-Git: https://salsa.debian.org/debian/sciteproj.git
 Vcs-Browser: https://salsa.debian.org/debian/sciteproj

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://download-mirror.savannah.gnu.org/releases/sciteproj/sciteproj_(.+)-src\.tar\.gz

## sciteproj 1.11

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-#   Copyright (C) 2009-2017 Andreas Rönnquist
+#   Copyright (C) 2009-2018 Andreas Rönnquist
 #   This file is distributed under the same license
 #   as the sciteproj package, see COPYING file.
 #
@@ -46,32 +46,22 @@
 LOCALEDIR = ${DATADIR}/locale
 VERSION=$(shell cat ./VERSION)
 
-ifdef GTK2
-	PKG_GTK=gtk+-2.0
-	CHECK_GTK3=1
-else
-	PKG_GTK=gtk+-3.0
-endif
+PKG_GTK=gtk+-3.0
+CHECK_GTK3=1
 
-LIB_CFLAGS=$(shell pkg-config --cflags --silence-errors $(PKG_GTK) $(PKG_WNCK) lua5.1 || pkg-config --cflags $(PKG_GTK) $(PKG_WNCK) lua)
+LIB_CFLAGS=$(shell pkg-config --cflags --silence-errors $(PKG_GTK) $(PKG_WNCK) lua5.3 || pkg-config --cflags $(PKG_GTK) $(PKG_WNCK) lua)
 STD_LDFLAGS=
-LIBS=-lX11 $(shell pkg-config --libs --silence-errors $(PKG_GTK) $(PKG_WNCK) lua5.1 || pkg-config --libs $(PKG_GTK) $(PKG_WNCK) lua)
+LIBS=-lX11 $(shell pkg-config --libs --silence-errors $(PKG_GTK) $(PKG_WNCK) lua5.3 || pkg-config --libs $(PKG_GTK) $(PKG_WNCK) lua)
 
 LOCAL_CFLAGS=$(STD_CFLAGS) $(DEPRECATED) $(CFLAGS) $(LIB_CFLAGS)
 LOCAL_LDFLAGS=$(STD_CFLAGS) $(LDFLAGS) $(STD_LDFLAGS)
 
 LOCAL_CPPFLAGS=$(CPPFLAGS)
 
-ifdef CHECK_GTK3
-	LOCAL_CFLAGS+=-DGTK_DISABLE_SINGLE_INCLUDES
-	LOCAL_CFLAGS+=-DGSEAL_ENABLE
+LOCAL_CFLAGS+=-DGTK_DISABLE_SINGLE_INCLUDES
+LOCAL_CFLAGS+=-DGSEAL_ENABLE
 
-	CHECK_DEPRECATED=1
-endif
-
-ifdef CHECK_DEPRECATED
-	LOCAL_CFLAGS+=-DGDK_PIXBUF_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED
-endif
+LOCAL_CFLAGS+=-DGDK_PIXBUF_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED
 
 LOCAL_CFLAGS+=-DLOCALEDIR=\"$(LOCALEDIR)\" -DPACKAGE=\"$(NAME)\" -DSCITEPROJ_VERSION=\"$(VERSION)\"

=== debian/changelog ===
sciteproj (1.11-2) unstable; urgency=medium

  * Fix Build-Depends on debhelper to work with backports

 -- Andreas Rönnquist <gusnan@debian.org>  Tue, 13 Mar 2018 20:35:16 +0100

sciteproj (1.11-1) unstable; urgency=medium

  * Add gbp config
  * Use DEP-14 branch naming
  * New upstream version 1.11
  * Build-depend on Lua 5.3
  * Add upstream metadata

 -- Andreas Rönnquist <gusnan@debian.org>  Sat, 03 Mar 2018 18:03:05 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: editors
 Priority: optional
 Maintainer: Andreas Rönnquist <gusnan@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 11~),
                pkg-config,
                libgtk-3-dev,
                libglib2.0-dev,
-               liblua5.1-0-dev,
+               liblua5.3-dev,
                gettext
 Standards-Version: 4.1.3
 Homepage: https://www.nongnu.org/sciteproj

## sciteproj 1.12

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,9 @@
 
 ifndef CC
 	CC=gcc
+endif
+ifndef PKG_CONFIG
+	PKG_CONFIG=pkg-config
 endif
 SRC=src
 BIN=bin
@@ -49,9 +52,9 @@
 PKG_GTK=gtk+-3.0
 CHECK_GTK3=1
 
-LIB_CFLAGS=$(shell pkg-config --cflags --silence-errors $(PKG_GTK) $(PKG_WNCK) lua5.3 || pkg-config --cflags $(PKG_GTK) $(PKG_WNCK) lua)
+LIB_CFLAGS=$(shell $(PKG_CONFIG) --cflags --silence-errors $(PKG_GTK) $(PKG_WNCK) lua5.3 || $(PKG_CONFIG) --cflags $(PKG_GTK) $(PKG_WNCK) lua)
 STD_LDFLAGS=
-LIBS=-lX11 $(shell pkg-config --libs --silence-errors $(PKG_GTK) $(PKG_WNCK) lua5.3 || pkg-config --libs $(PKG_GTK) $(PKG_WNCK) lua)
+LIBS=-lX11 $(shell $(PKG_CONFIG) --libs --silence-errors $(PKG_GTK) $(PKG_WNCK) lua5.3 || $(PKG_CONFIG) --libs $(PKG_GTK) $(PKG_WNCK) lua)
 
 LOCAL_CFLAGS=$(STD_CFLAGS) $(DEPRECATED) $(CFLAGS) $(LIB_CFLAGS)
 LOCAL_LDFLAGS=$(STD_CFLAGS) $(LDFLAGS) $(STD_LDFLAGS)
@@ -91,6 +94,6 @@
 	${MAKE} -C po uninstall
 
 $(DEPEND):
-	$(CC) $(LOCAL_CFLAGS) -MM $(SRC)/*.c | sed -e "s/\([A-Za-z0-9+-0._&+-]*:\)/\$(OBJ)\/\1/g" > $(DEPEND)
+	$(CC) $(LOCAL_CFLAGS) -MM $(SRC)/*.c | sed -e "s/\([A-Za-z0-9+-0._&+-]*:\)/\$(OBJ)\/\1/g" -e "s/obj\/C\:/\/C/g" > $(DEPEND)
 
 -include $(DEPEND)

=== debian/changelog ===
sciteproj (1.12-1) unstable; urgency=medium

  * New upstream version 1.12
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make
  * Update to Standards Version 4.2.1 (No changes required)

 -- Andreas Rönnquist <gusnan@debian.org>  Sun, 04 Nov 2018 17:09:54 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                libglib2.0-dev,
                liblua5.3-dev,
                gettext
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: https://www.nongnu.org/sciteproj
 Vcs-Git: https://salsa.debian.org/debian/sciteproj.git
 Vcs-Browser: https://salsa.debian.org/debian/sciteproj

## sciteproj 1.13-src

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-#   Copyright (C) 2009-2018 Andreas Rönnquist
+#   Copyright (C) 2009-2019 Andreas Rönnquist
 #   This file is distributed under the same license
 #   as the sciteproj package, see COPYING file.
 #
@@ -68,7 +68,7 @@
 
 LOCAL_CFLAGS+=-DLOCALEDIR=\"$(LOCALEDIR)\" -DPACKAGE=\"$(NAME)\" -DSCITEPROJ_VERSION=\"$(VERSION)\"
 
-all: $(BIN)/$(NAME)
+all: $(BIN)/$(NAME) sciteproj.1.gz
 	${MAKE} -C po -j1 all
 
 $(OBJ)/%.o: $(SRC)/%.c
@@ -77,8 +77,12 @@
 $(BIN)/$(NAME): $(OBJECTS)
 	$(CC) $(LOCAL_CFLAGS) $(LOCAL_LDFLAGS) $(OBJECTS) -o $(PROG) $(LIBS)
 
+sciteproj.1.gz: sciteproj.1
+	gzip -k sciteproj.1
+
 clean:
 	rm -rf $(OBJECTS) $(PROG) $(DEPEND)
+	rm -f sciteproj.1.gz
 	${MAKE} -C po clean
 
 install:
@@ -86,11 +90,13 @@
 	install -m 755 $(PROG) $(DESTDIR)$(PREFIX)/bin
 	install -d $(DESTDIR)$(PREFIX)/share/pixmaps
 	install -m 644 graphics/sciteproj.xpm $(DESTDIR)$(PREFIX)/share/pixmaps
+	install -m 644 sciteproj.1.gz $(DESTDIR)$(PREFIX)/share/man/man1
 	${MAKE} -C po install
 
 uninstall:
 	rm -f $(DESTDIR)$(PREFIX)/$(PROG)
 	rm -f $(DESTDIR)$(PREFIX)/share/pixmaps/sciteproj.xpm
+	rm -f $(DESTDIR)$(PREFIX)/share/man/man1/sciteproj.1.gz
 	${MAKE} -C po uninstall
 
 $(DEPEND):
